Shakin

Guide Des Mises à Jour

Messages recommandés

Salut,

Parfois certains jeux vous propose une mise à jour pour pouvoir y jouer et vous ne voulez pas upgrader votre firmware. Pour certains jeux, ces mises à jour sont simplement des installation d'IOS nécessaire pour jeu et possèdent une ancienne version du System Menu d'intégrer. Pour savoir quelle mise à jour est contenu dans votre jeu rien de plus simple que de faire une sauvegarde de celui ci, extraire la mise à jour avec Wufe ( voir tuto ) ou explorer le jeu via FTPii.

On peut dire que chaque version de System Menu correspond à une version de firmware. il faut regarder le fichier RVL-WiiSystemmenu-vxxx.wadxxx est la version du System Menu.

-----------------------------------------------------------------------------------------------------------

I - Analyse du jeu :

Dans l'exemple j'ai pris le jeu Facebreaker dont j'ai fait l'image sur mon PC puis ouvert avec Trucha Signer 0.21 ( il est aussi possible d'ouvrir directement un backup inséré dans un lecteur/graveur de DVD de votre ordinateur).

8810061.png

RVL-WiiSystemmenu-v258.wad, on peut voir que la version du System Menu contenu dans le jeu est la v258, qui conformément au recensement ci-dessous correspond à la version 3.1E.

-----------------------------------------------------------------------------------------------------------

II - Identification de la mise à jour :

861615Tab.jpg

Donc par exemple si votre console est en 3.2E ( v290 ) et que je jeu possède une la mise à jour 3.1E ( v258 ) c'est que c'est une mise à jour d'IOS et/ou de chaines WiiShop...vous pouvez donc faire la mise à jour, la version de votre console restera la même.

Si votre console est en 3.2E ( v290 ) et que je jeu possède une la mise à jour 3.4E ( v386 ) c'est que c'est une mise à jour d'IOS et/ou de chaines WiiShop ET du System Menu, donc la version de votre console changera. Donc il vous faudra installer les IOS manquants et en fonction de la méthode que vous utilisez procéder de cette façon.

Utilisateurs Puce :

Il faudra installer les IOS manquants et exécuter votre jeu avec GeckOS.

Utilisateurs Softmod :

Il faudra installer les IOS manquants ensuite exécuter votre jeu avec le loader que vous utilisez.

-----------------------------------------------------------------------------------------------------------

III - Extraire et installer les IOS :

Pour extraire un IOS il suffit de faire clic droit sur l'IOS désiré puis "Extract to file"

6112852.png

Une fois fait, digirez vous vers les tutos Wii

-----------------------------------------------------------------------------------------------------------

Si votre jeu est de région différente à celle de votre console ou que vous craignez un semi-brick de votre console, consultez le topic de xam1311 -> Plantage Wii Apres mise à jour import

@+

Partager ce message


Lien vers message
Partager sur d'autres sites

Le 2.0 est vraiment le tout premier firmware? C'est bizarre qu'ils commencent par 2.0, il n'y a vraiment rien eu avant?

Partager ce message


Lien vers message
Partager sur d'autres sites

Petite précision :

Il faudra installer les IOS manquants et exécuter votre jeu avec GeckOS

en aucun cas l'utilisation de GeckoOS n'est obligatoire. Ma wii 3.2E lance parfaitement n'importe quel jeu utilisant n'importe quel IOS, et ce, depuis la chaîne Disque normale...simplement en ayant installé les IOS qui vont bien (38,51,53,55, 60 et 61).

Partager ce message


Lien vers message
Partager sur d'autres sites
Petite précision :
Il faudra installer les IOS manquants et exécuter votre jeu avec GeckOS

en aucun cas l'utilisation de GeckoOS n'est obligatoire. Ma wii 3.2E lance parfaitement n'importe quel jeu utilisant n'importe quel IOS, et ce, depuis la chaîne Disque normale...simplement en ayant installé les IOS qui vont bien (38,51,53,55, 60 et 61).

Bonjour, existe-t-il un endroit sur le forum qui récapitule quel jeu contient quel IOS ?

Partager ce message


Lien vers message
Partager sur d'autres sites

Salut,

@Houssenka : Non, ça demanderai beaucoup trop de travail et vu que les membres ne suivent pas toujours, il serait possible que l'on se retrouve seul sur le projet.

Bah y a plus les images ?? :blink:

@+

PS aux collègues : N'hésitez pas à éditer le post si vous le souhaitez.

Partager ce message


Lien vers message
Partager sur d'autres sites
Petite précision :
Il faudra installer les IOS manquants et exécuter votre jeu avec GeckOS

en aucun cas l'utilisation de GeckoOS n'est obligatoire. Ma wii 3.2E lance parfaitement n'importe quel jeu utilisant n'importe quel IOS, et ce, depuis la chaîne Disque normale...simplement en ayant installé les IOS qui vont bien (38,51,53,55, 60 et 61).

Il faut quand même bloquer l'update après avoir installé les IOS (Starfall, Brick blocker, GeckoOS...). Même si les IOS sont installés, la console va quand même détecter un System Menu supérieur dans le jeu (s'il contient un firmware supérieur évidemment). Donc Shakin n'a pas tort. ^^

Le 2.0 est vraiment le tout premier firmware? C'est bizarre qu'ils commencent par 2.0, il n'y a vraiment rien eu avant?

Alors?

Partager ce message


Lien vers message
Partager sur d'autres sites

Houssenka, pourquoi faire un tel recensement, sachant que jusqu'à présent, le même principe a toujours été appliqué aux jeux, c'est à dire :

Chaque nouveau jeu inclut chaque IOS précedemment sorti. Donc il suffit de prendre n'importe quel jeu de moins de 3 mois pour avoir la collection complète d'IOS (ou presque). Et puis il ne faut pas non plus 50 IOS différents, donc une liste ne serait pas très bénéfique.

et sachant qu'il existe des homebrews pour télécharger les IOS, voir les patcher trucha (WiiSCu), ce n'en est que plus facile.

ps : effectivement, j'avais oublié de parler de Starfall Mr Bean 2...un ptit oubli simplement parce que toute wii en 3.2 se doit se l'avoir pour rester en 3.2 sans être embêté.

Partager ce message


Lien vers message
Partager sur d'autres sites
Ma wii 3.2E lance parfaitement n'importe quel jeu utilisant n'importe quel IOS, et ce, depuis la chaîne Disque normale...simplement en ayant installé les IOS qui vont bien (38,51,53,55, 60 et 61).

Dis-moi, tu les as installer manuellement? ou il y a t-il moyen de le faire?

Comme ça je les installes tous, et je n'aurai plus de problème de mise à jour.

Partager ce message


Lien vers message
Partager sur d'autres sites

Manuellement pour ceux qui sont disponibles sur les jeux (IOS38, 51, 53, 55) et par WiiSCU pour ceux appartenant à la mise à jour 4.0 (IOS60 et 61).

Donc pour les uns, extraction d'un DVD de jeu puis installation (l'installation manuelle des IOS ne permet pas de réactiver trucha !) avec Channel File manager (ou Wad Manager), pour les autres, WiiSCu s'occupe de tout, suffit de l'exécuter et de choisir ce que tu veux installer. Il est recommandé de réactiver la faille trucha sur ces 2 IOS.

ps : à noter que les IOS60 et 61 étant reliés aux nouvelles fonctionnalités du system menu 4.0, ils ne sont nécessaires QUE pour les chaînes Boutique, Mii, etc. à jour. Si ces chaînes sont à jour mais que les IOS sont absents, la console redémarrera à chaque tentative d'exécution desdites chaînes. Les jeux DVD se fichent de ces 2 IOS.

et comme l'a très justement fait remarqué Mr Bean 2 : l'installation de Starfall pour bloquer les mises à jour est plus que recommandé !

Partager ce message


Lien vers message
Partager sur d'autres sites

Salut,

Le 2.0 est vraiment le tout premier firmware? C'est bizarre qu'ils commencent par 2.0, il n'y a vraiment rien eu avant?

Oui c'est bien la première révision sortie aux USA le jour de la sortie de la Wii.

@+

Partager ce message


Lien vers message
Partager sur d'autres sites

Ok, merci pour le petit cours, Je suis en 3.2 sans starfall, je vais donc l'installer... heu non, je vais p-e d'abord installer bootmii sur le boot2 puis seulement starfall

On ne sait pas installer Les IOS de jeux via WiiSCu? pourquoi réactiver la faille trucha? elle ne devrait pas disparaitre si je n'installe que les IOS de jeux...

Partager ce message


Lien vers message
Partager sur d'autres sites
On ne sait pas installer Les IOS de jeux via WiiSCu? pourquoi réactiver la faille trucha? elle ne devrait pas disparaitre si je n'installe que les IOS de jeux...

WiiSCU n'est fait que pour instalelr les IOS60/61 et les chaînes Mii et Boutique. Rien d'autre.

réactiver trucha permet de lancer des jeux trucha signés, même s'ils réclament un IOS censé être patché anti trucha. Et bien sûr que si, elle disparait avec les IOS de jeux ! La faille trucha est partie intégrante des IOS, pas du system menu. Et quand tu MAJ les IOS, manuellement ou en lançant un update de jeu, ça les installe dans leur dernière révision, donc avec le patch désactivant trucha.

Après, certains IOS spécifiques ne sont pas vraiment utiles à repatcher trucha, à moins de vouloir bidouiller les jeux les utilisant.

ps : réactiver trucha dans les IOS60/61 permet en outre de pouvoir exporter des chaînes trucha signées (homebrew channel ou autres) vers la SD et de les lancer depuis la SD sous un system menu 4.0 (et inversement, de réinjecter une chaîne trucha de la SD vers la NAND). Sous 3.2, y'a pas de réel avantage, vu qu'il n'est pas possible de lancer des chaînes depuis la SD.

Mais quitte à garder un system menu 3.2, autnat avoir les IOS trucha qui vont bien ;)

Partager ce message


Lien vers message
Partager sur d'autres sites

Je ne trouve pas comment faire pour trouver facilement les IOS.

Pour faire fonctionner trucha signer, il faut le fichier key.bin que je n'ai pas...

Quand tu dis ça, tu parles seulement pour les IOS 60 et 61? pas des IOS 38, 51, 53 et 55?

et sachant qu'il existe des homebrews pour télécharger les IOS, voir les patcher trucha (WiiSCu), ce n'en est que plus facile.

bonne soirée

Partager ce message


Lien vers message
Partager sur d'autres sites
Oui c'est bien la première révision sortie aux USA le jour de la sortie de la Wii.

Bizarre. Autant je comprends qu'ils passent de 2.2 à 3.0 puis de 3.4 à 4.0, vu qu'il y a eu un nombre conséquent de changement entre ces firmwares, autant je ne comprends pas pourquoi ils commencent par 2.0 (peut-être un firmware 1.0 ultra buggé jamais released).

Je ne trouve pas comment faire pour trouver facilement les IOS.

Pour faire fonctionner trucha signer, il faut le fichier key.bin que je n'ai pas...

Quand tu dis ça, tu parles seulement pour les IOS 60 et 61? pas des IOS 38, 51, 53 et 55?

et sachant qu'il existe des homebrews pour télécharger les IOS, voir les patcher trucha (WiiSCu), ce n'en est que plus facile.

bonne soirée

Les IOS 38, 51, 53 et 55, tu les trouveras sur les jeux récents (en gros, ceux qui sont sortis entre novembre 2008 et aujourd'hui). Insère le disque du jeu dans la console et fais l'extraction avec Wii Update File Extractor. Le key.bin, tu peux l'extraire à partir de ta console (il y a un tuto sur le forum). Sinon, il est trouvable via Google (tout comme les IOS), mais c'est limite illégal, sachant qu'il y a du copyright Nintendo derrière.

Partager ce message


Lien vers message
Partager sur d'autres sites

Il n'y a pas moyen de les télécharger simplement avec NUS?

Partager ce message


Lien vers message
Partager sur d'autres sites
Manuellement pour ceux qui sont disponibles sur les jeux (IOS38, 51, 53, 55) et par WiiSCU pour ceux appartenant à la mise à jour 4.0 (IOS60 et 61).

Donc pour les uns, extraction d'un DVD de jeu puis installation (l'installation manuelle des IOS ne permet pas de réactiver trucha !) avec Channel File manager (ou Wad Manager), pour les autres, WiiSCu s'occupe de tout, suffit de l'exécuter et de choisir ce que tu veux installer. Il est recommandé de réactiver la faille trucha sur ces 2 IOS.

D'après ce message, doit-on comprendre qu'il n'est pas utile d'avoir les IOS38, 51, 53, et 55 avec trucha réactivée ?

J'en profite pour poser une autre question : pour les possesseurs de puces, plutôt que d'essayer de rester en 3.2, l'installation de la 4.0 Waninkoko ne serait-elle pas la solution la plus simple pour faire tourner tous les jeux (y compris les backups modifiés et signés Trucha) et profiter pleinement de toutes les "nouvelles" fonctionnalités de la Wii (support SDHC, lecture de chaines et de jeux VC depuis une carte SD, accès aux différentes chaines comme la chaine boutique ...) ?

Avis aux experts, qu'en pensez-vous ? Si ce n'est pas le cas, est-ce que quelqu'un peut m'expliquer l'avantage de rester en 3.2 ? (Personnellement j'en verrais peut-être un, car il me semble que si vous n'avez pas fait la MAJ 1.1 de la chaine photo, elle doit encore être capable de lire les MP3 =)

Partager ce message


Lien vers message
Partager sur d'autres sites

Houssenka:J'ai pas envie de bidouiller ma NAND avec des firm' 'alternatif'.

Je suis en 3.2,avec preloader qui me bloque les MAJ et Gecko qui me permet de lancer mes jeux imports.

Pourquoi aller plus loin alors que tout est fonctionnel? ^^

Je préfère rester comme sa,chacun son truc,le temps que sa roule c'est bon :)

Partager ce message


Lien vers message
Partager sur d'autres sites

Salut à tous,

Je tiens à vous remercier pour toutes vos réponses ! De plus, je trouve ce forum particulièrement riche en info, ce qui me ravi ^^

Quelques zones d'ombres demeurent pourtant et j'ai encore quelques questions pour les chevronnés que vous êtes ^^. Pour ce faire je vais prendre un cas concret :

- Monsieur X possède une Wii en 3.2 sur laquelle se trouve un modchip. Monsieur X a une version backup d'un de ses jeux sorti en mars 2008 qui a été modifiée et donc signée avec Trucha signer. Tout va bien dans le meilleur des monde jusqu'à ce que Monsieur X mette l'original de Madworld dans sa Wii... Après de nombreuses péripéties pour ne pas faire cette mise à jour (pour continuer de pouvoir jouer à son backup modifié) et de quand même pouvoir jouer à Madworld, Monsieur X se rend finalement compte que Madworld ne fonctionne pas... Il va bien lui falloir faire une mise à jour. La question qui persiste est : comment faire ça le plus intelligemment ?

S'il suit ce qu'il y a d'écrit plus haut, et qu'il a finalement réussi à voir que le system menu contenu par Madworld était le v258, peut-il faire la MAJ en toute sécurité ? Sa Wii restera effectivement en 3.2, mais est-il possible qu'un ancien IOS présent jusqu'ici sur la Wii, et comportant la faille Trucha, soit mis à jour par le jeu ? (et que du coup, cet IOS mis à jour ne comporte plus la faille exploitée par son backup ?)

Si la réponse est oui, il faut donc pour Monsieur X, installer Starfall, mettre les IOS manquant manuellement, et c'est tout ?

Pour finir, voici une dernière question, j'ai regardé dans tous mes jeux, je trouve pas d'IOS 51 crying ... Quelqu'un peut-il m'éclairer là dessus ?

Merci d'avance blush

Partager ce message


Lien vers message
Partager sur d'autres sites

La mise à jour de Madworld ne bloque pas la faille trucha.

L'IOS51 sert à que dalle, c'est une ancienne version de la chaîne boutique, il a été remplacé par l'IOS61.

Partager ce message


Lien vers message
Partager sur d'autres sites
La mise à jour de Madworld ne bloque pas la faille trucha.

L'IOS51 sert à que dalle, c'est une ancienne version de la chaîne boutique, il a été remplacé par l'IOS61.

Merci infiniment pour ta réponse :ok: , ce sera fait les yeux fermés. Pour info, le cas de figure énoncé peut(ou pourrait)-il arriver avec une autre mise à jour ? (bouchage de la dite faille sans mise à jour du system menu ?)

Partager ce message


Lien vers message
Partager sur d'autres sites

Si on installe mnuellement les IOS 38, 51, 53 et 55 contenus dans les jeux recents (style Punch Out, grand Chelem Tennis...), ca permet de jouer a ces jeux mais de rester en 3.2?

Ca bouche la faille trucha si on installe que ces 4 ios?

Faut il changer tous les 4 ou moins suffisent (j'ai lu au dessus que le 51 ne servait plus)

Merci d'avance

PS : Wiiscu installe entre autre le 38, donc il resterait a installer que le 53 et 55?

ou Wiiscu serait suffisant pour jouer aux jeux recents?

Modifié par Ulna

Partager ce message


Lien vers message
Partager sur d'autres sites

Les "vitaux" en se basant sur une wii 3.2 :

IOS38, IOS53, IOS55 pour les jeux

IOS60 pour certains wiiware.

en bonus

IOS61 pour accèder à la chaîne boutique (sinon elle reboote)

avec tout ça, une wii 3.2 peut lancer tous les jeux, même les plus récents. Tu "perds la faille trucha uniquement sur les IOS installés manuellement, après les avoir extrait d'un DVD de jeu les contenant. En passant par WiiSCU, tu peux réactiver la faille trucha sur les IOS qu'il peut installer (38, 60 et 61).

ce n'est pas obligatoire, sauf si tu veux pouvoir exécuter des jeux trucha signés qui utilisent justement l'un de ces IOS. Perso je trouve plus propre d'installer un maximum d'IOS avec la faille trucha...pour garder une certaine continuité dans "l'esprit" de la version 3.2.

ps : il ne faut pas parler d'une faille trucha globale...mais d'une faille trucha par IOS. Les anciens jeux nécessitent l'IOS36 en principe...qui a le bug trucha si installée avec le firmware 3.2 (si tu t'amuses à installer la dernière version de l'IOS36 d'un jeu récent, ça rebouche la faille par contre).

Si tu installes l'IOS38 sans trucha par exemple, tu ne pourras pas lancer une version modifiée d'Animal Crossing, trucha signée, parce que ce jeu utilise justement l'IOS38, dont le bug trucha est par défaut désactivé.

Mais ça ne veut pas dire pour autant que tu perds la possibilité de lancer, admettons, Manhunt2 non censuré (et donc trucha signé), qui lui, nécessite l'IOS36 (qui contient encore la faille).

Partager ce message


Lien vers message
Partager sur d'autres sites

Par contre de "boucher" la faille trucha avec les ios 53 et 55 ne peut pas empecher d'installer le cIOSrev13 (ou 14 qd il sortira)? On pourra toujours avoir acces a la NAND?

C'est pour ca que je ne veux pas passer en 4.0 ou 3.4 car apres si on doit reinstaller un Cios il faut redescendre en 3.2

Merci pour tes reponses Badablek

Partager ce message


Lien vers message
Partager sur d'autres sites

les homebrews se basent toujours sur des IOS vulnérables....aucune raison pour eux d'utiliser l'IOS53 ou 55 alors que tu as une bonne vingtaine d'autres IOS plus vieux et qui ont la faille trucha. Je crois que les "installeurs" de cIOS se lancent à partir de l'IOS35.

il existe un moyen de réactiver trucha sur tous les IOS il me semble (IOS downgrader ?).

mais vu le peu de jeux utilisant les IOS53 et 55, c'est vraiment se donner du mal pour rien.

Partager ce message


Lien vers message
Partager sur d'autres sites

Créer un compte ou se connecter pour commenter

Vous devez être membre afin de pouvoir déposer un commentaire

Créer un compte

Créez un compte sur notre communauté. C’est facile !

Créer un nouveau compte

Se connecter

Vous avez déjà un compte ? Connectez-vous ici.

Connectez-vous maintenant